%global _empty_manifest_terminate_build 0
Name:           python-zstd
Version:        1.5.5.1
Release:        1
Summary:        ZSTD Bindings for Python
License:        BSD-2-Clause
URL:            https://github.com/sergey-dryabzhinsky/python-zstd
Source0:        https://files.pythonhosted.org/packages/ba/b4/bf8c6a6b73c6b267a13df955f821f041fcc770b56820b135849f33e3b888/zstd-1.5.5.1.tar.gz

%description
Simple Python bindings for the Zstd compression library.

%package -n     python3-zstd
Summary:        %{summary}
Provides:       python3-zstd
# Base build requires
BuildRequires:  gcc
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:	python3-cffi
%description -n python3-zstd
Simple Python bindings for the Zstd compression library.

%package help
Summary:        ZSTD Bindings for Python
Provides:       python3-zstd-doc
%description help
Simple Python bindings for the Zstd compression library.

%prep
%autosetup -n zstd-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
%{__python3} setup.py test

%files -n python3-zstd -f filelist.lst
%dir %{python3_sitearch}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Fri Apr 07 2023 Ge Wang <wang__ge@126.com> - 1.5.5.1-1
- Update to version 1.5.5.1

* Mon Feb 27 2023 wubijie <wubijie@kylinos.cn> - 1.5.4.0-1
- Update package to version 1.5.4.0

* Fri Dec 09 2022 chendexi <chendexi@kylinos.cn> - 1.5.2.6-1
- Upgrade package to version 1.5.2.6

* Wed Aug 10 2022 liqiuyu <liqiuyu@kylinos.cn> - 1.5.2.5-1
- update to 1.5.2.5

* Fri Jun 03 2022 OpenStack_SIG <openstack@openeuler.org> - 1.5.1.0-1
- Upgrade python3-zstd to version 1.5.1.0

* Tue May 10 2022 yangping <yangping69@h-partners> - 1.4.8.1-3
- License compliance rectification

* Sat May 07 2022 wulei <wulei80@h-partners.com> 1.4.8.1-2
- Fix python3.8+ use py_ssize_t type

* Tue Feb 23 2021 wangxiyuan <wangxiyuan1007@gmail.com>
- Package Spec Init

